(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      8666,        252]
NotebookOptionsPosition[      8255,        233]
NotebookOutlinePosition[      8616,        249]
CellTagsIndexPosition[      8573,        246]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", "t_", "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"2", 
     RowBox[{"Cos", "[", "t", "]"}]}], ",", 
    RowBox[{"2.97", 
     RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.7008095086839657`*^9, 3.7008095261688957`*^9}, {
  3.700809701411694*^9, 3.700809701494279*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Q", "=", 
     RowBox[{
      RowBox[{"g", "[", "t", "]"}], "/.", " ", 
      RowBox[{
       RowBox[{"Minimize", "[", 
        RowBox[{
         RowBox[{"Norm", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "y"}], "}"}], "-", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"2", 
              RowBox[{"Cos", "[", "t", "]"}]}], ",", 
             RowBox[{"2.97", 
              RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}]}], "]"}], ",", "t"}], 
        "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}]}]}], ";", 
    RowBox[{"Show", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", 
        RowBox[{
         RowBox[{"g", "[", "t", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", 
           RowBox[{"2", "Pi"}]}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}]}], "]"}], ",", 
       
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], ",", "Q"}], "}"}], "]"}], ",", 
          "Red", ",", 
          RowBox[{"PointSize", "[", ".01", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", 
          RowBox[{"Point", "[", "Q", "]"}]}], "}"}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "3"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y", ",", "3"}], "}"}], ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.700809533178597*^9, 3.700809565538497*^9}, {
  3.700809598543242*^9, 3.700809659930635*^9}, {3.700809718625534*^9, 
  3.7008097585893383`*^9}, {3.7008098003564043`*^9, 3.700809860446291*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{Parallel`Palette`Private`x$$ = 3.7300000000000004`, 
    Parallel`Palette`Private`y$$ = 3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[Parallel`Palette`Private`x$$], 3}, -4, 4}, {{
       Hold[Parallel`Palette`Private`y$$], 3}, -4, 4}}, Typeset`size$$ = {
    360., {180., 184.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, Parallel`Palette`Private`x$930968$$ = 0, 
    Parallel`Palette`Private`y$930969$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {
       Parallel`Palette`Private`x$$ = 3, Parallel`Palette`Private`y$$ = 3}, 
      "ControllerVariables" :> {
        Hold[
        Parallel`Palette`Private`x$$, Parallel`Palette`Private`x$930968$$, 0], 
        Hold[
        Parallel`Palette`Private`y$$, Parallel`Palette`Private`y$930969$$, 
         0]}, "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (Parallel`Palette`Private`Q = ReplaceAll[
          Parallel`Palette`Private`g[Parallel`Palette`Private`t], 
          Part[
           Minimize[
            
            Norm[{Parallel`Palette`Private`x$$, 
               Parallel`Palette`Private`y$$} - {
             2 Cos[Parallel`Palette`Private`t], 2.97 
              Sin[Parallel`Palette`Private`t]}], Parallel`Palette`Private`t], 
           2]]; Show[{
          ParametricPlot[
           Parallel`Palette`Private`g[Parallel`Palette`Private`t], {
           Parallel`Palette`Private`t, 0, 2 Pi}, 
           PlotRange -> {{-4, 4}, {-4, 4}}], 
          Graphics[{
            
            Line[{{Parallel`Palette`Private`x$$, 
               Parallel`Palette`Private`y$$}, Parallel`Palette`Private`Q}], 
            Red, 
            PointSize[0.01], 
            
            Point[{Parallel`Palette`Private`x$$, 
              Parallel`Palette`Private`y$$}], 
            Point[Parallel`Palette`Private`Q]}]}]), 
      "Specifications" :> {{{Parallel`Palette`Private`x$$, 3}, -4, 4}, {{
         Parallel`Palette`Private`y$$, 3}, -4, 4}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{405., {239., 245.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.7008096758572702`*^9, 3.700809721403666*^9, 3.700809759981982*^9, {
   3.70080981325668*^9, 3.700809861568595*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"ParametricPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{"Cos", "[", "t", "]"}]}], ",", 
        RowBox[{"2.97", 
         RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"2", "Pi"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}]}], "]"}], ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Point", "[", 
      RowBox[{"{", 
       RowBox[{"3", ",", "3"}], "}"}], "]"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{"Point", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"2", 
          RowBox[{"Cos", "[", "t", "]"}]}], ",", 
         RowBox[{"2.97", 
          RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}], "/.", " ", 
       RowBox[{
        RowBox[{"Minimize", "[", 
         RowBox[{
          RowBox[{"Norm", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"3", ",", "3"}], "}"}], "-", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"2", 
               RowBox[{"Cos", "[", "t", "]"}]}], ",", 
              RowBox[{"2.97", 
               RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}]}], "]"}], ",", "t"}],
          "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.700808591235703*^9, 3.700808620532621*^9}, {
  3.700808657380527*^9, 3.700808750692285*^9}, {3.700808887563921*^9, 
  3.700808894823399*^9}}]
},
WindowSize->{808, 655},
WindowMargins->{{Automatic, 37}, {-177, Automatic}},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 354, 10, 32, "Input"],
Cell[CellGroupData[{
Cell[937, 34, 2321, 68, 96, "Input"],
Cell[3261, 104, 3074, 67, 535, "Output"]
}, Open  ]],
Cell[6350, 174, 1901, 57, 138, "Input"]
}
]
*)

(* End of internal cache information *)

